mcrypt_module_is_block_algorithm
mcrypt_module_open
Mcrypt Functions
PHP Manual

# mcrypt_module_is_block_mode

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_module_is_block_mode — Returns if the specified mode outputs blocks or not

### Description

bool mcrypt_module_is_block_mode ( string `$mode` [, string `$lib_dir` ] )

This function returns `TRUE` if the mode outputs blocks of bytes or `FALSE` if it outputs just bytes. (e.g. `TRUE` for cbc and ecb, and `FALSE` for cfb and stream).

### Parameters

`mode`

  One of the `MCRYPT_MODE_modename` constants, or one of the following strings: "ecb", "cbc", "cfb", "ofb", "nofb" or "stream".

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

This function returns `TRUE` if the mode outputs blocks of bytes or `FALSE` if it outputs just bytes. (e.g. `TRUE` for cbc and ecb, and `FALSE` for cfb and stream).

mcrypt_module_is_block_algorithm
mcrypt_module_open
Mcrypt Functions
PHP Manual